Show / Hide Table of Contents

# Struct IMemorySpace

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.System.Memory

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct IMemorySpace

### Methods

| Improve this Doc View Source

#### Create<T>()

##### Declaration

    public T*Create<T>()

        where T : struct, ICreatable

##### Returns

Type | Description
--- | ---
T* |

##### Type Parameters

Name | Description
--- | ---
T |

| Improve this Doc View Source

#### Free(Void*, UInt64)

##### Declaration

    public static void Free(void *ptr, ulong size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Void* | ptr |
System.UInt64 | size |

| Improve this Doc View Source

#### Free<T>(T*)

##### Declaration

    public static void Free<T>(T*ptr)

        where T : struct

##### Parameters

Type | Name | Description
--- | --- | ---
T* | ptr |

##### Type Parameters

Name | Description
--- | ---
T |

| Improve this Doc View Source

#### GetAnimationSpace()

##### Declaration

    public static IMemorySpace*GetAnimationSpace()

##### Returns

Type | Description
--- | ---
IMemorySpace* |

| Improve this Doc View Source

#### GetApricotSpace()

##### Declaration

    public static IMemorySpace*GetApricotSpace()

##### Returns

Type | Description
--- | ---
IMemorySpace* |

| Improve this Doc View Source

#### GetDefaultSpace()

##### Declaration

    public static IMemorySpace*GetDefaultSpace()

##### Returns

Type | Description
--- | ---
IMemorySpace* |

| Improve this Doc View Source

#### GetSoundSpace()

##### Declaration

    public static IMemorySpace*GetSoundSpace()

##### Returns

Type | Description
--- | ---
IMemorySpace* |

| Improve this Doc View Source

#### GetUISpace()

##### Declaration

    public static IMemorySpace*GetUISpace()

##### Returns

Type | Description
--- | ---
IMemorySpace* |

| Improve this Doc View Source

#### Malloc(UInt64, UInt64)

##### Declaration

    public void *Malloc(ulong size, ulong alignment)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt64 | size |
System.UInt64 | alignment |

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### Malloc<T>(UInt64)

##### Declaration

    public void *Malloc<T>(ulong alignment = 8UL)

        where T : struct

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt64 | alignment |

##### Returns

Type | Description
--- | ---
System.Void* |

##### Type Parameters

Name | Description
--- | ---
T |

| Improve this Doc View Source

#### Memset(Void*, Int32, UInt64)

##### Declaration

    public static void Memset(void *ptr, int value, ulong size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Void* | ptr |
System.Int32 | value |
System.UInt64 | size |